> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-money/linkage/customer-top-up/notify-top-up.md).

# Notify Top Up

This API sends a Finpay Money top up notification to the partner system for successful transaction.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL                  |
| ----------- | ------ | -------------------- |
| Development | POST   | `define by merchant` |
| Production  | POST   | `define by merchant` |

### Required Headers <a href="#required-headers" id="required-headers"></a>

| No | Name          | Type   | Mandatory | Description                                                                |
| -- | ------------- | ------ | --------- | -------------------------------------------------------------------------- |
| 1  | Accept        | String | M         | Expected response format. Usually `application/json`.                      |
| 2  | X-TIMESTAMP   | String | M         | Request timestamp in ISO8601 format. Example: `2024-04-17T12:03:38+07:00`. |
| 3  | X-SIGNATURE   | String | M         | Asymmetric signature.                                                      |
| 4  | ORIGIN        | String | M         | Request origin domain. Example: `www.yourdomain.com`.                      |
| 5  | X-EXTERNAL-ID | String | M         | Unique request ID. Maximum `32` characters.                                |
| 6  | X-PARTNER-ID  | String | M         | Partner ID provided by the system.                                         |
| 7  | Content-Type  | String | M         | Request body format. Usually `application/json`.                           |

#### Sample Header <a href="#sample-header" id="sample-header"></a>

```http
Accept: application/json
X-TIMESTAMP: 2024-04-17T12:03:38+07:00
X-SIGNATURE: string_signature
ORIGIN: www.yourdomain.com
X-EXTERNAL-ID: 12345678901234567890123456789012
X-PARTNER-ID: FINPAY-PARTNER-ID
Content-Type: application/json
```

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name            | Type   | Mandatory | Min Length | Max Length | Description                                                                                        |
| -- | --------------- | ------ | --------- | ---------- | ---------- | -------------------------------------------------------------------------------------------------- |
| 1  | referenceNo     | String | M         | -          | -          | Unique transaction reference number.                                                               |
| 2  | phoneNo         | String | M         | -          | -          | User phone number in `628xxxx` format.                                                             |
| 3  | transactionDate | String | M         | -          | -          | Transaction date in ISO8601 format.                                                                |
| 4  | merchantId      | String | M         | -          | -          | Merchant ID.                                                                                       |
| 5  | amount          | Object | M         | -          | -          | Transaction amount detail.                                                                         |
| 6  | amount.value    | String | M         | -          | -          | Transaction amount with `2` decimal digits.                                                        |
| 7  | amount.currency | String | M         | -          | -          | Transaction currency. Example: `IDR`.                                                              |
| 8  | transactionDesc | String | O         | -          | -          | Transaction description.                                                                           |
| 9  | channel         | String | M         | -          | -          | Top up channel. Allowed values: `vabri`, `vamandiri`, `vabca`, `pegadaian`, `posindo`, `alfamart`. |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```json
{
  "referenceNo": "202411011441000012",
  "phoneNo": "+6281295288912",
  "transactionDate": "2020-12-23T07:54:11+07:00",
  "merchantId": "MITRACO1",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "transactionDesc": "Topup melalui BRI dengan Nomor transaksi 123123123123",
  "channel": "vabri"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type   | Mandatory | Min Length | Max Length | Description                    |
| -- | --------------- | ------ | --------- | ---------- | ---------- | ------------------------------ |
| 1  | responseCode    | String | M         | -          | -          | Response code from the system. |
| 2  | responseMessage | String | M         | -          | -          | Response status description.   |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```json
{
  "responseCode": "2000000",
  "responseMessage": "Request has been processed successfully"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/customer-top-up/notify-top-up.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
